<?php
include("seguranca.php"); // Inclui o arquivo com o sistema de segurança
protegePagina(); // Chama a função que protege a página

include "conexao.php";


$id = $_POST['id'];
$nome = addslashes($_POST['nome']);
$razao_social = addslashes($_POST['razao_social']);
$controlador = addslashes($_POST['controlador']);
$id_grupo = $_POST['id_grupo'] ? "'" . $_POST['id_grupo'] . "'" : 'NULL';
$id_setor = addslashes($_POST['id_setor']);
$id_atividade = addslashes($_POST['id_atividade']);
$missao = addslashes($_POST['missao']);
$criterios = addslashes($_POST['criterios']);
$politica_patrocinio = empty(trim(strip_tags($_POST['politica_patrocinio_txt'])))? 0 : 1;
$transparencia = addslashes($_POST['transparencia']);
$data_abertura = implode("-",array_reverse(explode("/",$_POST['data_abertura'])));
$lucro_liquido = addslashes($_POST['lucro_liquido']);
$site = $_POST['site'];
$dados_contato = addslashes($_POST['dados_contato']);
$estado = addslashes($_POST['estado']);
$cidade = addslashes($_POST['cidade']);
$endereco = addslashes($_POST['endereco']);
$envio_projetos = addslashes($_POST['envio_projetos']);
$receber_projetos = addslashes($_POST['receber_projetos']);
$informacoes_empresa = addslashes($_POST['informacoes_empresa']);
$updated_at = date("Y-m-d H:i:s");
$projetos_apoia = addslashes($_POST['projetos_apoia']);
$projetos_desenvolve = addslashes($_POST['projetos_desenvolve']);
$regiao_atuacao = addslashes($_POST['regiao_atuacao']);
$area_atuacao = addslashes($_POST['area_atuacao']);
$beneficiarios = addslashes($_POST['beneficiarios']);
$criterio_apoio = addslashes($_POST['criterio_apoio']);
$quem_pode_candidatar = addslashes($_POST['quem_pode_candidatar']);
$politica_patrocinio_txt = addslashes($_POST['politica_patrocinio_txt']);
$esporte_txt = $_POST['esporte_txt'];
$lei_incentivo = addslashes($_POST['lei_incentivo']);
$periodo_projetos = addslashes($_POST['periodo_projetos']);
$transparencia_txt = addslashes($_POST['transparencia_txt']);
$perfil_investimento = addslashes($_POST['perfil_investimento']);
$para_receber_projetos = addslashes($_POST['para_receber_projetos']);
$sociocultura = addslashes($_POST['sociocultura']);

$update_empresas_query = "UPDATE empresas SET nome='$nome', razao_social='$razao_social', controlador='$controlador', id_grupo=$id_grupo, id_setor='$id_setor', id_atividade='$id_atividade', missao='$missao', criterios='$criterios', politica_patrocinio='$politica_patrocinio', transparencia='$transparencia', data_abertura='$data_abertura', lucro_liquido='$lucro_liquido', site='$site', dados_contato='$dados_contato', estado='$estado', cidade='$cidade', endereco='$endereco', envio_projetos='$envio_projetos', receber_projetos='$receber_projetos', informacoes_empresa='$informacoes_empresa', updated_at='$updated_at', projetos_apoia='$projetos_apoia', projetos_desenvolve='$projetos_desenvolve', regiao_atuacao='$regiao_atuacao', area_atuacao='$area_atuacao', beneficiarios='$beneficiarios', criterio_apoio='$criterio_apoio', quem_pode_candidatar='$quem_pode_candidatar', politica_patrocinio_txt='$politica_patrocinio_txt', lei_incentivo='$lei_incentivo', periodo_projetos='$periodo_projetos', transparencia_txt='$transparencia_txt', perfil_investimento='$perfil_investimento', para_receber_projetos='$para_receber_projetos', esporte_txt='$esporte_txt', sociocultura='$sociocultura' WHERE id='$id'";
$update = $sqli->query($update_empresas_query);

/*
header('Content-Type: text/plain');
var_dump($update_empresas_query);
die();
*/

$del1 = $sqli->query("DELETE FROM segmentos_empresa WHERE id_empresa='$id'");
$del2 = $sqli->query("DELETE FROM investimentos_empresa WHERE id_empresa='$id'");
$del3 = $sqli->query("DELETE FROM informacoes_empresa WHERE id_empresa='$id'");

$ano = array_key_exists('ano', $_POST) ? $_POST['ano'] : null;
$qtd = array_key_exists('qtd', $_POST) ? $_POST['qtd'] : null;
$id_segmento = array_key_exists('id_segmento', $_POST) ? $_POST['id_segmento'] : null;

if($ano && is_array($ano)) foreach ($ano as $indice => $value) {
    $ano_seg = addslashes($value);
    $qtd_seg = addslashes($qtd[$indice]);
    $id_segmento_seg = $id_segmento[$indice];
    $insert_segmento_query[$indice] = "INSERT into segmentos_empresa (id_empresa, id_segmento, ano, count, created_at) VALUES ('$id', '$id_segmento_seg', '$ano_seg', '$qtd_seg', '" . date('Y-m-d H:i:s') . "')";
    $insert = $sqli->query($insert_segmento_query[$indice]);
}

$ano_invest = array_key_exists('ano_invest', $_POST) ? $_POST['ano_invest'] : null;
$valor_invest = array_key_exists('valor_invest', $_POST) ? $_POST['valor_invest'] : null;

if($ano_invest && is_array($ano_invest)) foreach ($ano_invest as $indice => $value) {
    $ano_invest_certo = $value;
    $valor_invest_certo = $valor_invest[$indice];
    $insert_invest_query[$indice] = "INSERT into investimentos_empresa (id_empresa, ano, valor, created_at) VALUES ('$id', '$ano_invest_certo', '$valor_invest_certo', '".date('Y-m-d H:i:s')."')";
    $insert = $sqli->query($insert_invest_query[$indice]);
}

$titulo = array_key_exists('titulo', $_POST) ? $_POST['titulo'] : null;
$texto = array_key_exists('texto', $_POST) ? $_POST['texto'] : null;

if($titulo) {
    foreach ($titulo as $indice => $value) {
        $titulo_certo = addslashes($value);
        $texto_certo = addslashes($texto[$indice]);
        $insert_titulo_query[$indice] = "INSERT into informacoes_empresa (id_empresa, titulo, texto) VALUES ('$id', '$titulo_certo', '$texto_certo')";
        $insert = $sqli->query($insert_titulo_query[$indice]);
    }

}

// $debug_arr = debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);
// $line = $debug_arr[0]['line'];
// $file = $debug_arr[0]['file'];

// header('Content-Type: text/plain');
// echo "linha: $line\n";
// echo "arquivo: $file\n\n";
// print_r(array('insert' => $insert));
// print_r(array('GET' => $_GET, 'POST' => $_POST, 'SERVER' => $_SERVER, 'update_empresas_query' => $update_empresas_query, '$id_empresa' => $id_empresa, '$insert_segmento_query' => $insert_segmento_query, '$insert_invest_query' => $insert_invest_query, '$insert_titulo_query' => $insert_titulo_query));
// exit;



echo "<script> alert('Empresa atualizada com sucesso'); window.location.href = 'ficha_empresa.php?id=$id'; </script>";

?>